﻿In Canada employees get their payments in CAD.

Pay Day
Pay periods are semi-monthly. Employees are paid on the 15th and the last day of every month.  If the pay date falls on a Saturday, employees are paid the Friday before.  If the pay date falls on a Sunday, employees are paid the Monday afterwards.  You may arrange to have the company automatically deposit your paycheck into your bank account by submitting a voided check to a Human Resource representative.   Pay stubs may be picked up from Administration on the pay date. For your protection, we will not give your pay stub to another person unless we have your authorization to do so.